%define name chrony
%define version 1.11
%define release 2mdk

Summary: Chrony clock synchronization program
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: System/Configuration/Other
Source: %{name}-%{version}.tar.bz2
Packager: Per Wedin <perra@m-media.se>
Patch: chrony-1.11-fix.patch.bz2
Buildroot: /var/tmp/%{name}-buildroot

%description
A pair of programs for keeping computer clocks accurate.
chronyd is a background (daemon) program and chronyc is a
command-line interface to it.  Time reference sources for
chronyd can be RFC1305 NTP servers, human (via keyboard and
chronyc), and the computer's real-time clock at boot time
(Linux only).  chronyd can determine the rate at which the
computer gains or loses time and compensate for it whilst no
external reference is present.  chronyd's use of NTP servers
can be switched on and off (through chronyc) to support
computers with dial-up/intermittent access to the
Internet. chronyd can also act as an RFC1305-compatible NTP
server.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n chrony-1.11
%patch -p1

%build
./configure --prefix=$RPM_BUILD_ROOT/usr
make
make info

%install
install -m 755 -d  $RPM_BUILD_ROOT/var/log/chrony

install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/init.d/
install -m 755 -d $RPM_BUILD_ROOT/etc/logrotate.d/
install -m 755 chronyd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/chronyd
install -m 644 chrony.conf $RPM_BUILD_ROOT/etc/chrony.conf
install -m 600 chrony.keys $RPM_BUILD_ROOT/etc/chrony.keys
install -m 644 chrony.log $RPM_BUILD_ROOT/etc/logrotate.d/chrony

install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/rc0.d
install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/rc1.d 
install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/rc2.d 
install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/rc3.d 
install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/rc5.d
install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/rc6.d  

ln -sf /etc/init.d/chronyd $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K20chronyd
ln -sf /etc/init.d/chronyd $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K20chronyd
ln -sf /etc/init.d/chronyd $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S60chronyd
ln -sf /etc/init.d/chronyd $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S60chronyd
ln -sf /etc/init.d/chronyd $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S60chronyd
ln -sf /etc/init.d/chronyd $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K20chronyd
#make install

install -m 755 -d $RPM_BUILD_ROOT/usr/bin
install -m 755 -d $RPM_BUILD_ROOT/usr/sbin 
install -m 755 chronyd $RPM_BUILD_ROOT/usr/sbin/
install -m 755 chronyc $RPM_BUILD_ROOT/usr/bin/  

%pre
mkdir -p /var/log/chrony

%postun
rm -rf /var/log/chrony
rm -f /etc/chrony.drift /etc/chrony.rtc

%files
%defattr (-,root,root)
/usr/sbin/*
/usr/bin/*
%dir /var/log/chrony
%config /etc/rc.d/init.d/chronyd
%config /etc/chrony.conf
%config /etc/chrony.keys
%config /etc/logrotate.d/chrony
%config(missingok) /etc/rc.d/rc0.d/K20chronyd
%config(missingok) /etc/rc.d/rc1.d/K20chronyd
%config(missingok) /etc/rc.d/rc2.d/S60chronyd
%config(missingok) /etc/rc.d/rc3.d/S60chronyd
%config(missingok) /etc/rc.d/rc5.d/S60chronyd
%config(missingok) /etc/rc.d/rc6.d/K20chronyd
%doc INSTALL README README.rh LICENCE chrony.txt chrony.texi chrony.info*

%changelog
* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.11-2mdk
- fix group
- spec helper fixes

* Mon Feb 07 2000 Lenny Cartier <lenny@mandrakesoft.com>
- fixed non-root build of the package
- bypass install script
- add correct links
- used original srpm provided by Per Wedin <perra@m-media.se>

* Sun Feb 06 2000 Per Wedin <perra@m-media.se>
- 1.11-2: Minor changes in chrony-1.11.spec
 
* Sat Feb 05 2000 Per Wedin <perra@m-media.se>
- New version: 1.11-1. First try...
 
* Wed Jun 24 1998 Corey Minyard <minyard@acm.org>
- Fixed all the configuration information so it went out correctly
 
* Mon Jun 22 1998 Corey Minyard <minyard@acm.org>
- Initial version.             
